[ubuntu/maverick] qt4-x11 4:4.7.0~beta1+git20100706-0ubuntu1 (Accepted)

Alessandro Ghersi alessandro-ghersi at kubuntu.org
Wed Jul 7 06:30:51 BST 2010


qt4-x11 (4:4.7.0~beta1+git20100706-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
    - Refresh kubuntu patches
    - libqt4-help replaces qt4-dev-tools (<< 4:4.7.0~beta1+git20100706)
    - qt4-designer replaces qt4-dev-tools (<< 4:4.7.0~beta1+git20100706)
    - Disable kubuntu_08_add_missing_bold_style.diff
    - Disable kubuntu_09_use_ft_glyph_embolden_to_fake_bold.diff
    - New packages:
      - qt4-qmlviewer, which replaces qt4-dev-tools
      - libqt4-declarative-{particles, gestures, folderlistmodel} which
        replaces libqt4-declarative (<< 4:4.7.0~beta1+git20100706)
  * Merge with Debian git (unreleased) remaining changes:
    - Do not package firebird and ibase packages, remove from debian/rules and
      debian/control
    - libqt4-sql-ibase not recommend for libqt4-sql
    - libqtgui4: suggest, not recommend, qt4-qtconfig
    - Build with -no-phonon
    - Do not package libqt4-phonon
    - Do not add libpulse-dev to build-depends
    - Do not package libqt4-webkit transitional package
    - Build with -multimedia for now
      - Keep libqt4-multimedia package in debian/control
      - Keep libqt4-multimedia.{install, symbols, lintian-overrides}
    - libqt4-dev recommends libqt4-webkit
    - Build packages with lzma compression with override_dh_builddeb
    - Rules to remove po dir in clean
    - Add MessagesQt.sh
    - Rules to create Messages.sh link to MessagesQt.sh and rules to create po
      dir and exectue extract-messages.sh in common-install-prehook-impl
    - Rules to remove Messages.sh link
    - Make libqt4-dev depend on libx11-dev
    - In debian/rules Set DEB_HOST_ARCH and
      DEB_HOST_ARCH_OS. Configure with "-arch armv6" option on ARM
    - Add Kubuntu patches:
      - kubuntu_08_add_missing_bold_style.diff
      - kubuntu_09_use_ft_glyph_embolden_to_fake_bold.diff
      - kubuntu_10_ibus_input_method.diff
      - kubuntu_12_fix_stack_protector.diff
      - kubuntu_14_qtdemos_compile_failure.diff
      - kubuntu_15_appmenu.diff

Date: Tue, 06 Jul 2010 02:43:04 +0200
Changed-By: Alessandro Ghersi <alessandro-ghersi at kubuntu.org>
Maintainer: Kubuntu Developers <kubuntu-devel at lists.ubuntu.com>
Signed-By: Alessandro Ghersi <lex.ghersi at gmail.com>
https://launchpad.net/ubuntu/maverick/+source/qt4-x11/4:4.7.0~beta1+git20100706-0ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 06 Jul 2010 02:43:04 +0200
Source: qt4-x11
Binary: libqtcore4 libqt4-core libqtgui4 libqt4-gui libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-odbc libqt4-sql-psql libqt4-sql-sqlite libqt4-sql-sqlite2 libqt4-sql-tds libqt4-svg libqt4-xml libqt4-xmlpatterns libqt4-dbus libqt4-qt3support libqt4-designer libqt4-help libqt4-test libqt4-declarative libqt4-declarative-folderlistmodel libqt4-declarative-gestures libqt4-declarative-particles libqt4-multimedia libqt4-dev libqt4-opengl-dev libqt4-dbg libqt4-xmlpatterns-dbg qt4-demos-dbg qt4-designer qt4-dev-tools qt4-qmake qt4-qtconfig qt4-demos qt4-qmlviewer qt4-doc qt4-doc-html
Architecture: source
Version: 4:4.7.0~beta1+git20100706-0ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Kubuntu Developers <kubuntu-devel at lists.ubuntu.com>
Changed-By: Alessandro Ghersi <alessandro-ghersi at kubuntu.org>
Description: 
 libqt4-core - transitional package for Qt 4 core non-GUI runtime libraries
 libqt4-dbg - Qt 4 library debugging symbols
 libqt4-dbus - Qt 4 D-Bus module
 libqt4-declarative - Qt 4 Declarative module
 libqt4-declarative-folderlistmodel - Qt 4 folderlistmodel QML plugin
 libqt4-declarative-gestures - Qt 4 gestures QML plugin
 libqt4-declarative-particles - Qt 4 particles QML plugin
 libqt4-designer - Qt 4 designer module
 libqt4-dev - Qt 4 development files
 libqt4-gui - transitional package for Qt 4 GUI runtime libraries
 libqt4-help - Qt 4 help module
 libqt4-multimedia - Qt 4 Multimedia module
 libqt4-network - Qt 4 network module
 libqt4-opengl - Qt 4 OpenGL module
 libqt4-opengl-dev - Qt 4 OpenGL library development files
 libqt4-qt3support - Qt 3 compatibility library for Qt 4
 libqt4-script - Qt 4 script module
 libqt4-scripttools - Qt 4 script tools module
 libqt4-sql - Qt 4 SQL module
 libqt4-sql-mysql - Qt 4 MySQL database driver
 libqt4-sql-odbc - Qt 4 ODBC database driver
 libqt4-sql-psql - Qt 4 PostgreSQL database driver
 libqt4-sql-sqlite - Qt 4 SQLite 3 database driver
 libqt4-sql-sqlite2 - Qt 4 SQLite 2 database driver
 libqt4-sql-tds - Qt 4 FreeTDS database driver
 libqt4-svg - Qt 4 SVG module
 libqt4-test - Qt 4 test module
 libqt4-xml - Qt 4 XML module
 libqt4-xmlpatterns - Qt 4 XML patterns module
 libqt4-xmlpatterns-dbg - Qt 4 XML patterns library debugging symbols
 libqtcore4 - Qt 4 core module
 libqtgui4  - Qt 4 GUI module
 qt4-demos  - Qt 4 examples and demos
 qt4-demos-dbg - Qt 4 examples and demos debugging symbols
 qt4-designer - graphical designer for Qt 4 applications
 qt4-dev-tools - Qt 4 development tools
 qt4-doc    - Qt 4 API documentation
 qt4-doc-html - Qt 4 API documentation (HTML format)
 qt4-qmake  - Qt 4 qmake Makefile generator tool
 qt4-qmlviewer - Qt 4 QML viewer
 qt4-qtconfig - Qt 4 configuration tool
Changes: 
 qt4-x11 (4:4.7.0~beta1+git20100706-0ubuntu1) maverick; urgency=low
 .
   * New upstream snapshot
     - Refresh kubuntu patches
     - libqt4-help replaces qt4-dev-tools (<< 4:4.7.0~beta1+git20100706)
     - qt4-designer replaces qt4-dev-tools (<< 4:4.7.0~beta1+git20100706)
     - Disable kubuntu_08_add_missing_bold_style.diff
     - Disable kubuntu_09_use_ft_glyph_embolden_to_fake_bold.diff
     - New packages:
       - qt4-qmlviewer, which replaces qt4-dev-tools
       - libqt4-declarative-{particles, gestures, folderlistmodel} which
         replaces libqt4-declarative (<< 4:4.7.0~beta1+git20100706)
   * Merge with Debian git (unreleased) remaining changes:
     - Do not package firebird and ibase packages, remove from debian/rules and
       debian/control
     - libqt4-sql-ibase not recommend for libqt4-sql
     - libqtgui4: suggest, not recommend, qt4-qtconfig
     - Build with -no-phonon
     - Do not package libqt4-phonon
     - Do not add libpulse-dev to build-depends
     - Do not package libqt4-webkit transitional package
     - Build with -multimedia for now
       - Keep libqt4-multimedia package in debian/control
       - Keep libqt4-multimedia.{install, symbols, lintian-overrides}
     - libqt4-dev recommends libqt4-webkit
     - Build packages with lzma compression with override_dh_builddeb
     - Rules to remove po dir in clean
     - Add MessagesQt.sh
     - Rules to create Messages.sh link to MessagesQt.sh and rules to create po
       dir and exectue extract-messages.sh in common-install-prehook-impl
     - Rules to remove Messages.sh link
     - Make libqt4-dev depend on libx11-dev
     - In debian/rules Set DEB_HOST_ARCH and
       DEB_HOST_ARCH_OS. Configure with "-arch armv6" option on ARM
     - Add Kubuntu patches:
       - kubuntu_08_add_missing_bold_style.diff
       - kubuntu_09_use_ft_glyph_embolden_to_fake_bold.diff
       - kubuntu_10_ibus_input_method.diff
       - kubuntu_12_fix_stack_protector.diff
       - kubuntu_14_qtdemos_compile_failure.diff
       - kubuntu_15_appmenu.diff
Checksums-Sha1: 
 6bca000fc1968666daf5c65866794c1fcb77bff1 2919 qt4-x11_4.7.0~beta1+git20100706-0ubuntu1.dsc
 707113b3ef6a57b19fe9c70179a9041d763dd82c 138628317 qt4-x11_4.7.0~beta1+git20100706.orig.tar.gz
 c6bec9feee196c2be715135fa94c373c4ed8367c 422967 qt4-x11_4.7.0~beta1+git20100706-0ubuntu1.debian.tar.gz
Checksums-Sha256: 
 f6974e878ebe935f48d79db3279f3150e5742cbfd810cfa64df5e1636bad1a98 2919 qt4-x11_4.7.0~beta1+git20100706-0ubuntu1.dsc
 8cc7f2c752c2711ac5e923c7d74799ea14c0e417785c0eec9453f4ccd8bded68 138628317 qt4-x11_4.7.0~beta1+git20100706.orig.tar.gz
 3c5d0c871ed34ac68e26f932c534d68b4601a7aae6558624d1db7066f5ff7bc0 422967 qt4-x11_4.7.0~beta1+git20100706-0ubuntu1.debian.tar.gz
Files: 
 3f8927862eccc0e6e442077e928cf945 2919 libs optional qt4-x11_4.7.0~beta1+git20100706-0ubuntu1.dsc
 1b0004df7803911fce42f3a3acdfadb2 138628317 libs optional qt4-x11_4.7.0~beta1+git20100706.orig.tar.gz
 a6fd2884a618a7a2b85ce5d3483d9aca 422967 libs optional qt4-x11_4.7.0~beta1+git20100706-0ubuntu1.debian.tar.gz
Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw0BX0ACgkQwVRDbze5Yj7XCACfcS8jVtPQQGGugJZD2QTyXRKw
3voAoJjrQQVF9U1hezmIAVUJN6oq3wdq
=JyEo
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list